from .http import session

def request(uri, request):
    """
    Effectue une requête SPARQL depuis une uri de WikiMedica

    :param uri: uri de WikiMedica ciblé
    :param request: Requête SPARQL appliqué
    :return: Réponse du point d'accés sous forme d'un tableau de dictionaire
    """
    data = session.get(uri, stream=True)

    g = rdflib.Graph()
    g.parse(data.raw)
    qres = g.query(request)

    return [row.asdict() for row in qres]

def get_web_page(uri):
    return uri.replace("/Special:ExportRDF", "")
